Commit 18773015 authored by totte's avatar totte

multiple: Undo renamings

parent 6c476820
...@@ -4,36 +4,38 @@ ...@@ -4,36 +4,38 @@
# Include global configuration # Include global configuration
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname="kget" pkgname=kde-baseapps-konsole
arch=('x86_64')
pkgver=${_kdever} pkgver=${_kdever}
pkgrel=1 pkgrel=1
pkgdesc="Download manager" pkgdesc="KDE terminal emulator"
url="http://kde.org/applications/internet/kget/" url='http://kde.org/applications/system/konsole/'
depends=("kde-workspace=4.11.5" 'qca' 'kwebkitpart>=0.9.6' 'libktorrent>=1.0.4' 'libmms') screenshot="http://userbase.kde.org/images.userbase/6/64/Konsole-KDE4.png"
groups=("kde" "kdenetwork" "kde-uninstall") arch=('x86_64')
categories=('network')
conflicts=("kdenetwork-common" "kdenetwork-doc" "kdenetwork-kget")
provides=("kdenetwork-kget")
replaces=("kdenetwork-kget")
install=kdenetwork.install
license=('GPL' 'LGPL' 'FDL') license=('GPL' 'LGPL' 'FDL')
depends=("kde-runtime>=${_kdever}" "kde-baseapps>=${_kdever}")
makedepends=('cmake' 'automoc4')
groups=('kde' 'kde-baseapps' 'kde-uninstall')
provides=('kdebase-konsole')
conflicts=('kdebase-konsole')
replaces=('kdebase-konsole')
categories=('system')
options=('docs' '!header' 'debug' 'log') options=('docs' '!header' 'debug' 'log')
makedepends=('pkg-config' 'cmake' 'automoc4' 'docbook-xsl') source=("$_mirror/konsole-$_kdever.tar.xz"
source=("$_mirror/$pkgname-$_kdever.tar.xz") "Shell_new.diff")
sha256sums=(`grep $pkgname-$_kdever.tar.xz ../checksums.txt | cut -d " " -f1`) sha256sums=(`grep konsole-$_kdever.tar.xz ../checksums.txt | cut -d " " -f1`
'3a3f0fbc43cbeef19fecc5d6602ac97ff9982990a22b933e0f7c8333559e9d8e')
build() { build() {
cd ${srcdir}/$pkgname-$pkgver cd "${srcdir}/konsole-$pkgver"
patch -p1 -i ${srcdir}/Shell_new.diff
cmake . \ cmake . \
-DCMAKE_BUILD_TYPE=${_build_type} \ -DCMAKE_BUILD_TYPE=${_build_type} \
-DCMAKE_INSTALL_PREFIX=${_installprefix} \ -DCMAKE_INSTALL_PREFIX=${_installprefix} \
-DCMAKE_SKIP_RPATH=ON \ -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed'
-DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed'
make make
} }
package() { package() {
cd ${srcdir}/$pkgname-$pkgver cd "${srcdir}/konsole-$pkgver"
make DESTDIR=${pkgdir} install make DESTDIR="${pkgdir}" install
} }
--- a/data/profiles/Shell.profile 2012-08-13 05:24:27.000000000 -0400
+++ b/data/profiles/Shell.profile 2012-09-03 19:15:44.689246940 -0400
@@ -170,3 +170,17 @@
Comment[x-test]=xxKonsole default profilexx
Comment[zh_CN]=Konsole 默认配置
Comment[zh_TW]=Konsole 預設設定檔
+
+ShowNewAndCloseTabButtons=true
+
+[Appearance]
+AntiAliasFonts=true
+ColorScheme=Linux
+Font=Bitstream Vera Sans Mono,10,-1,0,75,0,0,0,0,0
+
+[Scrolling]
+HistoryMode=2
+
+[Terminal Features]
+BlinkingCursorEnabled=true
+BidiRenderingEnabled=true
diff -Naur kdebase-4.3.80.orig/apps/konsole/data/profiles/Shell.profile kdebase-4.3.80/apps/konsole/data/profiles/Shell.profile
--- kdebase-4.3.80.orig/apps/konsole/data/profiles/Shell.profile 2009-11-21 10:43:48.000000000 +0100
+++ kdebase-4.3.80/apps/konsole/data/profiles/Shell.profile 2009-12-06 20:45:03.000000000 +0100
@@ -174,13 +174,18 @@
LocalTabTitleFormat=%D : %n
RemoteTabTitleFormat=(%u) %H
+[General]
+ShowNewAndCloseTabButtons=true
+
[Appearance]
+AntiAliasFonts=true
ColorScheme=Linux
+Font=Bitstream Vera Sans Mono,10,-1,0,75,0,0,0,0,0
[Scrolling]
-ScrollMode=FixedLineCount
-ScrollLineCount=1000
+HistoryMode=2
[Terminal Features]
+BlinkingCursorEnabled=true
BidiRenderingEnabled=true
\ No newline at end of file
...@@ -4,26 +4,24 @@ ...@@ -4,26 +4,24 @@
# Include global configuration # Include global configuration
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname="kdnssd" pkgname="kdenetwork-kdnssd"
arch=('x86_64') arch=('x86_64')
pkgver=${_kdever} pkgver=${_kdever}
pkgrel=1 pkgrel=1
pkgdesc='Monitors the network for DNS-SD services' pkgdesc='Monitors the network for DNS-SD services'
depends=("kdelibs>=${_kdever}") depends=("kdelibs>=${_kdever}")
provides=("kdenetwork-kdnssd") conflicts=("kdenetwork-common" "kdenetwork-doc")
replaces=("kdenetwork-kdnssd")
conflicts=("kdenetwork-common" "kdenetwork-doc" "kdenetwork-kdnssd")
groups=("kde" "kdenetwork" "kde-uninstall") groups=("kde" "kdenetwork" "kde-uninstall")
categories=('network') categories=('network')
url="http://www.kde.org" url="http://www.kde.org"
license=('GPL' 'LGPL' 'FDL') license=('GPL' 'LGPL' 'FDL')
options=('docs' '!header' 'debug' 'log') options=('docs' '!header' 'debug' 'log')
makedepends=('pkg-config' 'cmake' 'automoc4' 'docbook-xsl') makedepends=('pkg-config' 'cmake' 'automoc4' 'docbook-xsl')
source=("$_mirror/$pkgname-$_kdever.tar.xz") source=("$_mirror/kdnssd-$_kdever.tar.xz")
sha256sums=(`grep $pkgname-$_kdever.tar.xz ../checksums.txt | cut -d " " -f1`) sha256sums=(`grep kdnssd-$_kdever.tar.xz ../checksums.txt | cut -d " " -f1`)
build() { build() {
cd ${srcdir}/$pkgname-$pkgver cd ${srcdir}/kdnssd-$pkgver
cmake . \ cmake . \
-DCMAKE_BUILD_TYPE=${_build_type} \ -DCMAKE_BUILD_TYPE=${_build_type} \
-DCMAKE_INSTALL_PREFIX=${_installprefix} \ -DCMAKE_INSTALL_PREFIX=${_installprefix} \
...@@ -33,6 +31,6 @@ build() { ...@@ -33,6 +31,6 @@ build() {
} }
package() { package() {
cd ${srcdir}/$pkgname-$pkgver cd ${srcdir}/kdnssd-$pkgver
make DESTDIR=${pkgdir} install make DESTDIR=${pkgdir} install
} }
...@@ -4,36 +4,35 @@ ...@@ -4,36 +4,35 @@
# Include global configuration # Include global configuration
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname="kppp" pkgname="kdesdk-dolphin-plugins"
arch=('x86_64') arch=('x86_64')
pkgver=${_kdever} pkgver=${_kdever}
pkgrel=1 pkgrel=1
pkgdesc="PPP client" pkgdesc='Dolphin plugins'
url="http://kde.org/applications/internet/kppp/" url="http://www.kde.org"
depends=("kde-runtime>=${_kdever}" 'ppp')
groups=("kde" "kdenetwork" "kde-uninstall")
categories=('network')
conflicts=("kdenetwork-common" "kdenetwork-doc" "kdenetwork-kppp")
provides=("kdenetwork-kppp")
replaces=("kdenetwork-kppp")
install=kdenetwork.install
license=('GPL' 'LGPL' 'FDL') license=('GPL' 'LGPL' 'FDL')
depends=("kde-baseapps-dolphin>=${_kdever}" 'subversion' 'git' "kdesdk-kompare>=${_kdever}")
optdepends=('bzr: bazaar support'
'git: git support'
'mercurial: hg support'
'subversion: svn support')
categories=('programming')
install=${pkgname}.install
options=('docs' '!header' 'debug' 'log') options=('docs' '!header' 'debug' 'log')
makedepends=('pkg-config' 'cmake' 'automoc4' 'docbook-xsl') makedepends=('pkg-config' 'cmake' 'automoc4' 'docbook-xsl')
source=("$_mirror/$pkgname-$_kdever.tar.xz") source=("$_mirror/dolphin-plugins-$_kdever.tar.xz")
sha256sums=(`grep $pkgname-$_kdever.tar.xz ../checksums.txt | cut -d " " -f1`) sha256sums=(`grep dolphin-plugins-$_kdever.tar.xz ../checksums.txt | cut -d " " -f1`)
build() { build() {
cd ${srcdir}/$pkgname-$pkgver cd ${srcdir}/dolphin-plugins-${pkgver}
cmake . \ cmake . \
-DCMAKE_BUILD_TYPE=${_build_type} \ -DCMAKE_BUILD_TYPE=${_build_type} \
-DCMAKE_INSTALL_PREFIX=${_installprefix} \ -DCMAKE_INSTALL_PREFIX=${_installprefix} \
-DCMAKE_SKIP_RPATH=ON \ -DCMAKE_SKIP_RPATH=ON
-DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed' make
make
} }
package() { package() {
cd ${srcdir}/$pkgname-$pkgver cd ${srcdir}/dolphin-plugins-${pkgver}
make DESTDIR=${pkgdir} install make DESTDIR=${pkgdir} install
} }
...@@ -9,7 +9,7 @@ post_install() { ...@@ -9,7 +9,7 @@ post_install() {
if [ "$UPDATE_GLOBAL_CONFIG" = "yes" ]; then if [ "$UPDATE_GLOBAL_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-sycoca /usr/bin/chakra-update-sycoca
fi fi
if [ "$UPDATE_USER_CONFIG" = "yes" ]; then if [ "$UPDATE_USER_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-user-sycoca /usr/bin/chakra-update-user-sycoca
......
post_install() {
if [ -e "/etc/chakra/updates.conf" ] ; then
. /etc/chakra/updates.conf
if [ "$UPDATE_XDG_ICON_DB" = "yes" ]; then
/usr/bin/chakra-update-icons
fi
if [ "$UPDATE_GLOBAL_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-sycoca
fi
if [ "$UPDATE_USER_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-user-sycoca
fi
else
echo " > WARNING"
echo " The package kde-common seems not to be installed,"
echo " this can possibly break the installation. Just install it"
echo " manually after this installation/update, run the following"
echo " commands and restart KDE afterwards:"
echo " sudo chakra-config-updater"
echo " kbuildsycoca4"
echo " "
fi
}
post_upgrade() {
if [ -e "/etc/chakra/updates.conf" ] ; then
. /etc/chakra/updates.conf
if [ "$UPDATE_XDG_ICON_DB" = "yes" ]; then
/usr/bin/chakra-update-icons
fi
if [ "$UPDATE_GLOBAL_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-sycoca
fi
if [ "$UPDATE_USER_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-user-sycoca
fi
else
echo " > WARNING"
echo " The package kde-common seems not to be installed,"
echo " this can possibly break the installation. Just install it"
echo " manually after this installation/update, run the following"
echo " commands and restart KDE afterwards:"
echo " sudo chakra-config-updater"
echo " kbuildsycoca4"
echo " "
fi
}
post_remove() {
if [ -e "/etc/chakra/updates.conf" ] ; then
. /etc/chakra/updates.conf
if [ "$UPDATE_XDG_ICON_DB" = "yes" ]; then
/usr/bin/chakra-update-icons
fi
if [ "$UPDATE_GLOBAL_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-sycoca
fi
if [ "$UPDATE_USER_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-user-sycoca
fi
else
echo " > WARNING"
echo " The package kde-common seems not to be installed,"
echo " this can possibly break the installation. Just install it"
echo " manually after this installation/update, run the following"
echo " commands and restart KDE afterwards:"
echo " sudo chakra-config-updater"
echo " kbuildsycoca4"
echo " "
fi
}
op=$1
shift
$op $*
# Maintainer: H W Tovetjärn (totte) <totte@tott.es>
# Contributors: Manuel Tortosa <manutortosa@chakra-project.org>
# Include global configuration
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname="krfb"
arch=('x86_64')
pkgver=${_kdever}
pkgrel=1
pkgdesc="Desktop Sharing Server"
# note on libxdamage:
# not detected by namcap because libgl depends on it
# but nvidia providing libgl does not depend on libxdamage
depends=("kde-runtime>=${_kdever}" "kdelibs>=${_kdever}" 'libvncserver' 'libxdamage')
groups=("kde" "kdenetwork" "kde-uninstall")
categories=('network')
conflicts=("kdenetwork-common" "kdenetwork-doc" "kdenetwork-krfb")
replaces=("kdenetwork-krfb")
provides=("kdenetwork-krfb")
install=kdenetwork.install
url="http://www.kde.org"
license=('GPL' 'LGPL' 'FDL')
options=('docs' '!header' 'debug' 'log')
makedepends=('pkg-config' 'cmake' 'automoc4' 'docbook-xsl')
source=("$_mirror/$pkgname-$_kdever.tar.xz")
sha256sums=(`grep $pkgname-$_kdever.tar.xz ../checksums.txt | cut -d " " -f1`)
build() {
cd ${srcdir}/$pkgname-$pkgver
cmake . \
-DCMAKE_BUILD_TYPE=${_build_type} \
-DCMAKE_INSTALL_PREFIX=${_installprefix} \
-DCMAKE_SKIP_RPATH=ON \
-DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed'
make
}
package() {
cd ${srcdir}/$pkgname-$pkgver
make DESTDIR=${pkgdir} install
}
post_install() {
if [ -e "/etc/chakra/updates.conf" ] ; then
. /etc/chakra/updates.conf
if [ "$UPDATE_XDG_ICON_DB" = "yes" ]; then
/usr/bin/chakra-update-icons
fi
if [ "$UPDATE_GLOBAL_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-sycoca
fi
if [ "$UPDATE_USER_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-user-sycoca
fi
else
echo " > WARNING"
echo " The package kde-common seems not to be installed,"
echo " this can possibly break the installation. Just install it"
echo " manually after this installation/update, run the following"
echo " commands and restart KDE afterwards:"
echo " sudo chakra-config-updater"
echo " kbuildsycoca4"
echo " "
fi
}
post_upgrade() {
if [ -e "/etc/chakra/updates.conf" ] ; then
. /etc/chakra/updates.conf
if [ "$UPDATE_XDG_ICON_DB" = "yes" ]; then
/usr/bin/chakra-update-icons
fi
if [ "$UPDATE_GLOBAL_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-sycoca
fi
if [ "$UPDATE_USER_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-user-sycoca
fi
else
echo " > WARNING"
echo " The package kde-common seems not to be installed,"
echo " this can possibly break the installation. Just install it"
echo " manually after this installation/update, run the following"
echo " commands and restart KDE afterwards:"
echo " sudo chakra-config-updater"
echo " kbuildsycoca4"
echo " "
fi
}
post_remove() {
if [ -e "/etc/chakra/updates.conf" ] ; then
. /etc/chakra/updates.conf
if [ "$UPDATE_XDG_ICON_DB" = "yes" ]; then
/usr/bin/chakra-update-icons
fi
if [ "$UPDATE_GLOBAL_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-sycoca
fi
if [ "$UPDATE_USER_CONFIG" = "yes" ]; then
/usr/bin/chakra-update-user-sycoca
fi
else
echo " > WARNING"
echo " The package kde-common seems not to be installed,"
echo " this can possibly break the installation. Just install it"
echo " manually after this installation/update, run the following"
echo " commands and restart KDE afterwards:"
echo " sudo chakra-config-updater"
echo " kbuildsycoca4"
echo " "
fi
}
op=$1
shift
$op $*
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment